Open Lighting Architecture: ola::io::BigEndianInputStream Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::io::BigEndianInputStream Class Reference

## Detailed Description

A Big Endian Input stream that wraps an InputBufferInterface

Inheritance diagram for ola::io::BigEndianInputStream:

## Public Member Functions
| BigEndianInputStream (InputBufferInterface *buffer)
bool | operator>> (int8_t &val)
bool | operator>> (uint8_t &val)
bool | operator>> (int16_t &val)
bool | operator>> (uint16_t &val)
bool | operator>> (int32_t &val)
bool | operator>> (uint32_t &val)
unsigned int | ReadString (std::string *output, unsigned int size)

## Member Function Documentation

## ◆ operator>>() [1/6]

bool ola::io::BigEndianInputStream::operator>> | ( | int16_t & | val | ) |
| inlinevirtual

Implements ola::io::InputStreamInterface.

## ◆ operator>>() [2/6]

bool ola::io::BigEndianInputStream::operator>> | ( | int32_t & | val | ) |
| inlinevirtual

Implements ola::io::InputStreamInterface.

## ◆ operator>>() [3/6]

bool ola::io::BigEndianInputStream::operator>> | ( | int8_t & | val | ) |
| inlinevirtual

Implements ola::io::InputStreamInterface.

## ◆ operator>>() [4/6]

bool ola::io::BigEndianInputStream::operator>> | ( | uint16_t & | val | ) |
| inlinevirtual

Implements ola::io::InputStreamInterface.

## ◆ operator>>() [5/6]

bool ola::io::BigEndianInputStream::operator>> | ( | uint32_t & | val | ) |
| inlinevirtual

Implements ola::io::InputStreamInterface.

## ◆ operator>>() [6/6]

bool ola::io::BigEndianInputStream::operator>> | ( | uint8_t & | val | ) |
| inlinevirtual

Implements ola::io::InputStreamInterface.

## ◆ ReadString()

unsigned int ola::io::BigEndianInputStream::ReadString | ( | std::string * | output,
|  | unsigned int | size )
| inlinevirtual

Implements ola::io::InputStreamInterface.

The documentation for this class was generated from the following file:

- include/ola/io/BigEndianStream.h